<?php
if (!defined('SMF'))
	die('Hacking attempt...');

function BuddiesList()
{
	global $txt, $context, $scripturl, $memberContext, $user_profile;

	isAllowedTo('user_buddieslist');
	loadLanguage('Profile');
	$context['page_title'] = $txt['buddieslist'];
	$context['sub_template'] = 'buddieslist';

	if (!count($context['member']['buddies']))
		fatal_lang_error('no_buddies', false);

	$loaded_buddy_ids = loadMemberData($context['member']['buddies']);

	$other = allowedTo('profile_view_any');
	$can_pm = allowedTo('pm_send');
	foreach ($loaded_buddy_ids as $uid)
	{
		loadMemberContext($uid);
		$context['buddies'][$uid] = array(
			'link' => ($other) ? $memberContext[$uid]['link'] : $user_profile[$uid]['real_name'],
			'removebuddy' => '<a href="' . $scripturl . '?action=buddy;u=' . $uid . ';' . $context['session_var'] . '=' . $context['session_id'] . '">' . $txt['buddy_remove'] . '</a>',
			'lastlogin' => $txt['lastLoggedIn'] . ': ' . timeformat($user_profile[$uid]['last_login']),
			'buddies_in_common' => allowedTo('user_buddy_seecommon') ? array_intersect($context['member']['buddies'], explode(',', $user_profile[$uid]['buddy_list'])) : array(),
			'send_pm' => ($can_pm) ? '<a href="' . $scripturl . '?action=pm;sa=send;u=' . $uid . '">' . $txt['profileSendIm'] . '</a>' : '',
			'has_you' => allowedTo('user_buddy_seeothers') && in_array($context['member']['id'], explode(',', $user_profile[$uid]['buddy_list'])),
		);
	}
}

?>