<?php
// Version: 1.0: BuddiesList.php

if (!defined('SMF'))
	die('Hacking attempt...');

function buddieslist_integrate_load_permissions(&$permissionGroups, &$permissionList, &$leftPermissionGroups, &$hiddenPermissions, &$relabelPermissions)
{
	global $context;

	loadLanguage('BuddiesList');

	// If this is a guest limit the available permissions.
	if (isset($context['group']['id']) && $context['group']['id'] == -1)
		$permissionList['membergroup'] += array(
			'user_buddieslist' => array(false, 'buddieslist', 'buddieslist'),
		);
	else
		$permissionList['membergroup'] += array(
			'user_buddieslist' => array(false, 'buddieslist', 'buddieslist'),
			'user_buddy_seeothers' => array(false, 'buddieslist', 'buddieslist'),
			'user_buddy_seecommon' => array(false, 'buddieslist', 'buddieslist'),
		);
}

function buddieslist_integrate_profile_areas(&$profile_areas)
{
	global $txt, $sourcedir;

	loadTemplate('BuddiesList');
	loadLanguage('BuddiesList');

	$profile_areas['info']['areas'] += array(
		'buddieslist' => array(
			'label' => $txt['buddieslist'],
			'file' => 'BuddiesList.php',
			'function' => 'BuddiesList',
			'permission' => array(
				'own' => 'profile_view_own',
				'any' => 'profile_view_any',
			),
		),
	);
}