<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$ssi = true;
	require_once(dirname(__FILE__) . '/SSI.php');
}
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

add_integration_function('integrate_pre_include', '$sourcedir/Subs-BuddiesList.php');
add_integration_function('integrate_load_permissions', 'buddieslist_integrate_load_permissions');
add_integration_function('integrate_profile_areas', 'buddieslist_integrate_profile_areas');

if ($context['uninstalling'])
{
	remove_integration_function('integrate_pre_include', '$sourcedir/Subs-BuddiesList.php');
	remove_integration_function('integrate_load_permissions', 'buddieslist_integrate_load_permissions');
	remove_integration_function('integrate_profile_areas', 'buddieslist_integrate_profile_areas');
}

if (!empty($ssi))
	echo 'Database installation complete!';

?>